name: haskeline
version: 0.7.2.1
id: haskeline-0.7.2.1-ee66b80ab55ef13718feae46e4940f5d
key: haske_GGvi737nHHfG6zm2y7Rimi
license: BSD3
copyright: (c) Judah Jacobson
maintainer: Judah Jacobson <judah.jacobson@gmail.com>
stability: Experimental
homepage: http://trac.haskell.org/haskeline
synopsis: A command-line interface for user input, written in Haskell.
description:
    Haskeline provides a user interface for line input in command-line
    programs.  This library is similar in purpose to readline, but since
    it is written in Haskell it is (hopefully) more easily used in other
    Haskell programs.
    .
    Haskeline runs both on POSIX-compatible systems and on Windows.
category: User Interfaces
author: Judah Jacobson
exposed: True
exposed-modules:
    System.Console.Haskeline System.Console.Haskeline.Completion
    System.Console.Haskeline.MonadException
    System.Console.Haskeline.History System.Console.Haskeline.IO
hidden-modules: System.Console.Haskeline.Backend
                System.Console.Haskeline.Backend.WCWidth
                System.Console.Haskeline.Command
                System.Console.Haskeline.Command.Completion
                System.Console.Haskeline.Command.History
                System.Console.Haskeline.Command.KillRing
                System.Console.Haskeline.Directory System.Console.Haskeline.Emacs
                System.Console.Haskeline.InputT System.Console.Haskeline.Key
                System.Console.Haskeline.LineState System.Console.Haskeline.Monads
                System.Console.Haskeline.Prefs System.Console.Haskeline.RunCommand
                System.Console.Haskeline.Term System.Console.Haskeline.Command.Undo
                System.Console.Haskeline.Vi System.Console.Haskeline.Recover
                System.Console.Haskeline.Backend.Posix
                System.Console.Haskeline.Backend.Posix.Encoder
                System.Console.Haskeline.Backend.DumbTerm
                System.Console.Haskeline.Backend.Terminfo
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/haske_GGvi737nHHfG6zm2y7Rimi
library-dirs: /usr/lib/ghc-7.10.3/haske_GGvi737nHHfG6zm2y7Rimi
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/haskeline-0.7.2.1
hs-libraries: HShaskeline-0.7.2.1-GGvi737nHHfG6zm2y7Rimi
depends:
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
    bytestring-0.10.6.0-c60f4c543b22c7f7293a06ae48820437
    containers-0.5.6.2-e59c9b78d840fa743d4169d4bea15592
    directory-1.2.2.0-f8e14a9d121b76a00a0f669ee724a732
    filepath-1.4.0.0-f97d1e4aebfd7a03be6980454fe31d6e
    terminfo-0.4.0.1-ff5b3d5838955b7711e16ccc720f06f4
    transformers-0.4.2.0-81450cd8f86b36eaa8fa0cbaf6efc3a3
    unix-2.7.1.0-343d4f566f30113da92e819f4a148640
haddock-interfaces: /usr/share/doc/ghc/html/libraries/haskeline-0.7.2.1/haskeline.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/haskeline-0.7.2.1
